/**
 * jline - Java console input library
 * Copyright (c) 2002,2003 Marc Prud'hommeaux marc@apocalypse.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package jline.example;

import jline.*;
import java.io.*;
import java.util.*;
import java.util.zip.*;

public class PasswordReader
{
	public static void usage ()
	{
		System.out.println ("Usage: java " + PasswordReader.class.getName ()
			+ " [mask]");
	}


	public static void main (String [] args)
		throws IOException
	{
		String password = new ConsoleReader ().readLine (new Character ((char)0));

		ConsoleReader reader = new ConsoleReader ();

		Character mask = args.length == 0
			? new Character ((char)0)
			: new Character (args[0].charAt (0));

		String line = reader.readLine ("enter password> ", mask);
		System.out.println ("Got password: " + line);
	}
}

