package org.webdocwf.util.loader.wizard;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.*;
import java.io.*;
import java.util.*;

public class OctopusLoaderFrame
    extends JInternalFrame {

  private static final String LOG_MODE = " Log mode",
      RESTART_INDICATOR = " Restart indicator",
      USER_ID = " User Id",
      VARIABLES = " Variables",
      LOG_FILE_DIRECTORY = " Log file directory",
      LOG_FILE_NAME = " Log file name",
      VENDOR_CONF_FILE = " Specific vendor conf file",
      ON_ERRORCONTINUE = " On error continue",
      ADDITIONAL_CLASSPATH = " Aditional classpath",
      COMMIT_COUNT = " Comit count",
      RETURN_CODE = " Return code",
      PATH_TO_XML_FILE = " Path to loaderJob.olj file",
      INCLUDE_TABLES = " Include List",
      PATH_TO_CONF_JAR = " Path to conf files in jar";

  //dimensions
  private static Dimension bigButton = new Dimension(110, 20);
  private static Dimension smallComponent = new Dimension(150, 20);
  private static Dimension bigComponent = new Dimension(400, 20);
  private static Dimension veryBigComponent = new Dimension(650, 20);
  private static Dimension veryBigPlusButton = new Dimension(630, 20);
  private static Dimension panelComponenet = new Dimension(720, 40);

  JSplitPane main;

  Border loweredBorder = BorderFactory.createEtchedBorder(EtchedBorder.LOWERED);
  Border raisedBorder = BorderFactory.createEtchedBorder(EtchedBorder.RAISED);
  Border bevelBorder = BorderFactory.createLoweredBevelBorder();

  private JDesktopPane desktop;
  private JPanel commonPanel;
  private OctopusLoaderData initData;
  private HashMap fields;
  private JTextArea traceArea;
  private JTextField additionalPath;

  public OctopusLoaderFrame(JDesktopPane desktop) {
    super("Octopus Loader Application", true, true, true, true);
	setFrameIcon( new ImageIcon(getClass().getClassLoader().getResource("org/webdocwf/util/loader/"+
		   "wizard/images/Enhydra16.gif")));

    this.desktop = desktop;
    fields = new HashMap();
    //generatorOptions
    JPanel loaderOptionsUp = new JPanel();
    JPanel loaderOptionsDown = new JPanel();

    //generator input data
    JTabbedPane octopusLoaderData = new JTabbedPane();
    commonPanel = new JPanel();
    commonPanel.setLayout(new BoxLayout(commonPanel, BoxLayout.Y_AXIS));
    octopusLoaderData.addTab("Input Parameters", commonPanel);

    loaderOptionsUp.setLayout(new BoxLayout(loaderOptionsUp, BoxLayout.Y_AXIS));
    loaderOptionsUp.setBorder(BorderFactory.createEtchedBorder(EtchedBorder.LOWERED));
    JButton gotoOct = createOctopusButton("Generator", bigButton);
    gotoOct.setAction(new StartOctopusGenerator());
    JButton help = createOctopusButton("Help", bigButton);
    help.setAction(new OctopusHelpAction());
    loaderOptionsUp.add(gotoOct);
    loaderOptionsUp.add(help);

    //generatotOptionsDown panel
    loaderOptionsDown.setLayout(new BoxLayout(loaderOptionsDown, BoxLayout.Y_AXIS));
    loaderOptionsDown.setBorder(BorderFactory.createEtchedBorder(EtchedBorder.LOWERED));
    JButton start = createOctopusButton("Start", bigButton);
    start.setAction(new StartOctopusLoader());
    JButton stop = createOctopusButton("Stop", bigButton);
    stop.setAction(new StopOctopusLoader());
    loaderOptionsDown.add(start);
    loaderOptionsDown.add(stop);

    //generatorOptions
    JSplitPane generatorOptions = new JSplitPane(JSplitPane.VERTICAL_SPLIT, true,
        loaderOptionsUp, loaderOptionsDown);
    generatorOptions.setOneTouchExpandable(true);
    generatorOptions.setDividerLocation(360);

    //log mode
    JLabel strLogMode = createOctopusLabel(LOG_MODE, smallComponent);
    JComboBox logMode = createOctopusCombobox(LOG_MODE, veryBigComponent);
    //restart indicator
    JLabel strRestartIndicator = createOctopusLabel(RESTART_INDICATOR, smallComponent);
    JTextField restartIndicator = createOctopusTextField(RESTART_INDICATOR, veryBigComponent);
    //user id
    JLabel strUserId = createOctopusLabel(USER_ID, smallComponent);
    JTextField userId = createOctopusTextField(USER_ID, veryBigComponent);
    //variables
    JLabel strVariables = createOctopusLabel(VARIABLES, smallComponent);
    JTextField variables = createOctopusTextField(VARIABLES, veryBigComponent);
    //log file directory
    JLabel strLogFileDir = createOctopusLabel(LOG_FILE_DIRECTORY, smallComponent);
    JTextField logFileDir = createOctopusTextField(LOG_FILE_DIRECTORY, veryBigPlusButton);
    JButton logDirButton = createOctopusButton("", new Dimension(20, 20));
    logDirButton.setAction(new BrowseAction_LD());
    //log file name
    JLabel strLogFileName = createOctopusLabel(LOG_FILE_NAME, smallComponent);
    JTextField logFileName = createOctopusTextField(LOG_FILE_NAME, veryBigComponent);
    //specific vendor conf file
    JLabel strSpecVendorConf = createOctopusLabel(VENDOR_CONF_FILE, smallComponent);
    JTextField specVendorConf = createOctopusTextField(VENDOR_CONF_FILE, veryBigPlusButton);
    JButton specVendorButton = createOctopusButton("", new Dimension(20, 20));
    specVendorButton.setAction(new BrowseAction_XML());
    //on error continue
    JLabel strOnError = createOctopusLabel(ON_ERRORCONTINUE, smallComponent);
    JTextField onError = createOctopusTextField(ON_ERRORCONTINUE, veryBigComponent);
    //additional classpaths
    JLabel strAdditionalPath = createOctopusLabel(ADDITIONAL_CLASSPATH, smallComponent);
    additionalPath = createOctopusTextField(ADDITIONAL_CLASSPATH, veryBigPlusButton);
    JButton additionalPathButton = createOctopusButton("", new Dimension(20, 20));
    additionalPathButton.setAction(new BrowseAction_AC());
    //commit count
    JLabel strCommitCount = createOctopusLabel(COMMIT_COUNT, smallComponent);
    JTextField commitCount = createOctopusTextField(COMMIT_COUNT, veryBigComponent);
    //return code
    JLabel strReturnCode = createOctopusLabel(RETURN_CODE, smallComponent);
    JTextField returnCode = createOctopusTextField(RETURN_CODE, veryBigComponent);
    //pathe to olj file
    JLabel strPathToOlj = createOctopusLabel(PATH_TO_XML_FILE, smallComponent);
    JTextField pathToOlj = createOctopusTextField(PATH_TO_XML_FILE, veryBigPlusButton);
    JButton pathToOljButton = createOctopusButton("", new Dimension(20, 20));
    pathToOljButton.setAction(new BrowseAction_OLJ());
    //include list
    JLabel strIncludeList = createOctopusLabel(INCLUDE_TABLES, smallComponent);
    JTextField includeList = createOctopusTextField(INCLUDE_TABLES, veryBigComponent);
    //path to conf files in jar file
    JLabel strPathToConf = createOctopusLabel(PATH_TO_CONF_JAR, smallComponent);
    JTextField pathToConf = createOctopusTextField(PATH_TO_CONF_JAR, veryBigComponent);

    JPanel inputParamPanelLabel = new JPanel();
    inputParamPanelLabel.setLayout(new BoxLayout(inputParamPanelLabel, BoxLayout.Y_AXIS));
    JPanel inputParamPanelField = new JPanel();
    inputParamPanelField.setLayout(new BoxLayout(inputParamPanelField, BoxLayout.Y_AXIS));

    commonPanel.add(Box.createRigidArea(new Dimension(0, 15)));
    createRow(strLogMode, logMode, null);
    fields.put(LOG_MODE, logMode);
    createRow(strRestartIndicator, restartIndicator, null);
    fields.put(RESTART_INDICATOR, restartIndicator);
    createRow(strUserId, userId, null);
    fields.put(USER_ID, userId);
    createRow(strVariables, variables, null);
    fields.put(VARIABLES, variables);
    createRow(strLogFileDir, logFileDir, logDirButton);
    fields.put(LOG_FILE_DIRECTORY, logFileDir);
    createRow(strLogFileName, logFileName, null);
    fields.put(LOG_FILE_NAME, logFileName);
    createRow(strSpecVendorConf, specVendorConf, specVendorButton);
    fields.put(VENDOR_CONF_FILE, specVendorConf);
    createRow(strOnError, onError, null);
    fields.put(ON_ERRORCONTINUE, onError);
    createRow(strAdditionalPath, additionalPath, additionalPathButton);
    fields.put(ADDITIONAL_CLASSPATH, additionalPath);
    createRow(strCommitCount, commitCount, null);
    fields.put(COMMIT_COUNT, commitCount);
    createRow(strReturnCode, returnCode, null);
    fields.put(RETURN_CODE, returnCode);
    createRow(strPathToOlj, pathToOlj, pathToOljButton);
    fields.put(PATH_TO_XML_FILE, pathToOlj);
    createRow(strIncludeList, includeList, null);
    fields.put(INCLUDE_TABLES, includeList);
    createRow(strPathToConf, pathToConf, null);
    fields.put(PATH_TO_CONF_JAR, pathToConf);

    JSplitPane generatorInputData = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT, true,
        generatorOptions, octopusLoaderData);

    // output panel
    JPanel textAreaPanel = new JPanel();
    textAreaPanel.setLayout(new BoxLayout(textAreaPanel, BoxLayout.X_AXIS));
    JPanel areaOptionPanel = new JPanel();
    areaOptionPanel.setLayout(new BoxLayout(areaOptionPanel, BoxLayout.Y_AXIS));
    traceArea = new JTextArea(18, 130);
    traceArea.setLineWrap(true);
    traceArea.setEditable(false);
    traceArea.setBorder(BorderFactory.createEtchedBorder(EtchedBorder.RAISED));
    JScrollPane scrollPane = new JScrollPane(traceArea,
        ScrollPaneConstants.VERTICAL_SCROLLBAR_ALWAYS,
        ScrollPaneConstants.HORIZONTAL_SCROLLBAR_ALWAYS);

    scrollPane.setBorder(setTitleOfBorder("Log Octopus Loader output ... ", loweredBorder));
    JButton fullScreen = createOctopusButton("Full Screen", new Dimension(25, 25));
    fullScreen.setAction(new FullScreenAction());
    JButton normalScreen = createOctopusButton("Normal Screen", new Dimension(25, 25));
    normalScreen.setAction(new NormalScreenAction());
    JButton saveScreen = createOctopusButton("Save Trace", new Dimension(25, 25));
    saveScreen.setAction(new SaveTraceAction());
    JButton clearTrace = createOctopusButton("Clear Trace", new Dimension(25, 25));
    clearTrace.setAction(new ClearTraceAction());

    areaOptionPanel.add(fullScreen);
    areaOptionPanel.add(normalScreen);
    areaOptionPanel.add(saveScreen);
    areaOptionPanel.add(clearTrace);
    areaOptionPanel.setBorder(BorderFactory.createEtchedBorder(EtchedBorder.LOWERED));

    JPanel areaOptionMainPanel = new JPanel(new BorderLayout());
    areaOptionMainPanel.add(areaOptionPanel, BorderLayout.PAGE_START);

    textAreaPanel.add(areaOptionMainPanel);
    textAreaPanel.add(scrollPane);
    main = new JSplitPane(JSplitPane.VERTICAL_SPLIT, true, generatorInputData,
        textAreaPanel);
    main.setOneTouchExpandable(true);
    main.setDividerLocation(450);

    Container container = getContentPane();
    container.setLayout(new BoxLayout(container, BoxLayout.X_AXIS));
    container.add(main);
    setBounds(0, 0, 970, 480);
  }

  private void createRow(JLabel label, JComponent component, JButton button) {

    JPanel jp = new JPanel();
    jp.setLayout(new BoxLayout(jp, BoxLayout.X_AXIS));

    jp.add(label);
    jp.add(component);
    if(button != null)
      jp.add(button);
    jp.add(Box.createHorizontalGlue());

    commonPanel.add(jp);
  }

  private Border setTitleOfBorder(String title, Border border) {
    Border inb = BorderFactory.createTitledBorder(border, title);
    return inb;
  }

  private JButton createOctopusButton(String componentName, Dimension dimension) {

    JButton button = new JButton();
    if(!componentName.equalsIgnoreCase(""))
      button.setText(componentName);

    button.setAlignmentX(Component.LEFT_ALIGNMENT);
    button.setAlignmentY(Component.CENTER_ALIGNMENT);
    button.setMinimumSize(new Dimension(dimension));
    button.setMaximumSize(new Dimension(dimension));
    button.setPreferredSize(new Dimension(dimension));

    return button;
  }

  private JComboBox createOctopusCombobox(String componentName, Dimension dimension) {

    JComboBox comboBox = new JComboBox();
    comboBox.setName(componentName);
    comboBox.setAlignmentX(Component.LEFT_ALIGNMENT);
    comboBox.setAlignmentY(Component.CENTER_ALIGNMENT);
    comboBox.setMinimumSize(new Dimension(dimension));
    comboBox.setMaximumSize(new Dimension(dimension));
    comboBox.setPreferredSize(new Dimension(dimension));

    return comboBox;
  }

  private JLabel createOctopusLabel(String componentName, Dimension dimension) {

    JLabel label = new JLabel();
    label.setText(componentName);
    label.setAlignmentX(Component.LEFT_ALIGNMENT);
    label.setAlignmentY(Component.CENTER_ALIGNMENT);
    label.setMinimumSize(new Dimension(dimension));
    label.setMaximumSize(new Dimension(dimension));
    label.setPreferredSize(new Dimension(dimension));

    return label;
  }

  private JTextField createOctopusTextField(String componentName, Dimension dimension) {

    JTextField textField = new JTextField();
    textField.setName(componentName);
    textField.setAlignmentX(Component.LEFT_ALIGNMENT);
    textField.setAlignmentY(Component.CENTER_ALIGNMENT);
    textField.setMinimumSize(new Dimension(dimension));
    textField.setMaximumSize(new Dimension(dimension));
    textField.setPreferredSize(new Dimension(dimension));

    return textField;
  }

  public void setOctopusLoaderInit(OctopusLoaderData initData, String xmlFile,
      String confJarStructure) {
    this.initData = initData;
    setField(LOG_MODE, initData.getLogMode(), "box");
    setField(LOG_FILE_DIRECTORY, initData.getLogFileDir(), "textfield");
    setField(LOG_FILE_NAME, initData.getLogFileName(), "textfield");
    setField(USER_ID, initData.getUserId(), "textfield");
    setField(VARIABLES, initData.getVariables(), "textfield");
    setField(RESTART_INDICATOR, initData.getRestartIndicator(), "textfield");
    setField(VENDOR_CONF_FILE, initData.getVendorConf(), "textfield");
    setField(ON_ERRORCONTINUE, initData.getOnErrorCon(), "textfield");
    setField(ADDITIONAL_CLASSPATH, initData.getAdditionalPaths(), "textfield");
    setField(COMMIT_COUNT, initData.getCommitCount(), "textfield");
    setField(RETURN_CODE, initData.getReturnCode(), "textfield");
    if(xmlFile != null)
//Zeljko Kovacevic,6.4 2004 change next line
//ORIGINAL      setField(PATH_TO_XML_FILE, confJarStructure, "textfield");
      setField(PATH_TO_XML_FILE, xmlFile, "textfield");
    else
      setField(PATH_TO_XML_FILE, initData.getPathToXml(), "textfield");

    setField(INCLUDE_TABLES, initData.getIncludeTables(), "textfield");
    if(confJarStructure != null)
      setField(PATH_TO_CONF_JAR, confJarStructure, "textfield");
    else
      setField(PATH_TO_CONF_JAR, initData.getConfJarStructure(), "textfield");
  }

  public OctopusLoaderData getOctopusLoaderInit() throws Exception {

    initData.setLogMode(getField(LOG_MODE, "box"));
    initData.setLogFileName(getField(LOG_FILE_NAME, "label"));
    initData.setLogFileDir(getField(LOG_FILE_DIRECTORY, "label"));
    initData.setRestartIndicator(getField(RESTART_INDICATOR, "label"));
    initData.setUserId(getField(USER_ID, "label"));
    initData.setVariables(getField(VARIABLES, "label"));
    initData.setVendorConf(getField(VENDOR_CONF_FILE, "label"));
    initData.setOnErrorCon(getField(ON_ERRORCONTINUE, "label"));
    initData.setAdditionalPaths(getField(ADDITIONAL_CLASSPATH, "label"));
    initData.setCommitCount(getField(COMMIT_COUNT, "label"));
    initData.setReturnCode(getField(RETURN_CODE, "label"));
    initData.setPathToXml(getField(PATH_TO_XML_FILE, "label"));
    initData.setIncludeTables(getField(INCLUDE_TABLES, "label"));
    initData.setConfJarStructure(getField(PATH_TO_CONF_JAR, "label"));

    return initData;
  }

  private void setField(String fieldName, String value, String type) {
    if(type.equalsIgnoreCase("textfield")) {
      JTextField field = (JTextField)fields.get(fieldName);
      field.setText(value);
    } else {
      JComboBox field = (JComboBox)fields.get(fieldName);
      for(int i = 0; i < OctopusLoaderData.getLogModes().length; i++) {
        field.addItem(OctopusLoaderData.getLogModes()[i]);
      }
    }
  }

  private String getField(String fieldName, String type) {
    if(type.equalsIgnoreCase("label")) {
      JTextField field = (JTextField)fields.get(fieldName);
      return field.getText().trim();
    } else {
      JComboBox field = (JComboBox)fields.get(fieldName);
      return field.getSelectedItem().toString();
    }
  }

  private class FullScreenAction
      extends AbstractAction {

    /**
     * This method starts the LoaderGenerator application
     */
    public FullScreenAction() {

      putValue(SMALL_ICON,
          new ImageIcon(getClass().getClassLoader().getResource("org/webdocwf/util/loader/" +
          "wizard/images/Host16.gif")));
      putValue(SHORT_DESCRIPTION, "Full Screen");
      putValue(LONG_DESCRIPTION, "Set Trace to Full Screen");
      putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke('F',
          Toolkit.getDefaultToolkit().getMenuShortcutKeyMask()));
      putValue(MNEMONIC_KEY, new Integer('F'));
    }

    /**
     * This method check if the action is performed (event key pressed)
     * @param e is event
     */
    public void actionPerformed(ActionEvent e) {
      main.setDividerLocation(0);
    }
  }

  private class NormalScreenAction
      extends AbstractAction {

    /**
     * This method starts the LoaderGenerator application
     */
    public NormalScreenAction() {

      putValue(SMALL_ICON,
          new ImageIcon(getClass().getClassLoader().getResource("org/webdocwf/util/loader/" +
          "wizard/images/Unhost16.gif")));
      putValue(SHORT_DESCRIPTION, "Normal Screen");
      putValue(LONG_DESCRIPTION, "Back to normal screen");
      putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke('N',
          Toolkit.getDefaultToolkit().getMenuShortcutKeyMask()));
      putValue(MNEMONIC_KEY, new Integer('N'));
    }

    /**
     * This method check if the action is performed (event key pressed)
     * @param e is event
     */
    public void actionPerformed(ActionEvent e) {
      main.setDividerLocation(330);
    }
  }

  private class SaveTraceAction
      extends AbstractAction {

    /**
     * This method starts the LoaderGenerator application
     */
    public SaveTraceAction() {

      putValue(SMALL_ICON,
          new ImageIcon(getClass().getClassLoader().getResource("org/webdocwf/util/loader/" +
          "wizard/images/Save16.gif")));
      putValue(SHORT_DESCRIPTION, "Save Trace");
      putValue(LONG_DESCRIPTION, "Save Trace to file");
      putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke('S',
          Toolkit.getDefaultToolkit().getMenuShortcutKeyMask()));
      putValue(MNEMONIC_KEY, new Integer('S'));
    }

    /**
     * This method check if the action is performed (event key pressed)
     * @param e is event
     */
    public void actionPerformed(ActionEvent e) {
      JFileChooser fc = new JFileChooser();
      fc.setDialogTitle("Save Octopus log ...");
      int returnVal = fc.showSaveDialog(null);
      if(returnVal == JFileChooser.APPROVE_OPTION) {
        File file = fc.getSelectedFile();
        String text = traceArea.getText();
        try {
          Writer out = new BufferedWriter(new FileWriter(file, false));
          out.write(text);
          out.close();
        }
        catch(Exception ex) {
          ex.printStackTrace();
        }

      } else {
      //do nothing
      }
    }
  }

  private class ClearTraceAction
      extends AbstractAction {

    /**
     * This method starts the LoaderGenerator application
     */
    public ClearTraceAction() {

      putValue(SMALL_ICON,
          new ImageIcon(getClass().getClassLoader().getResource("org/webdocwf/util/loader/" +
          "wizard/images/Delete16.gif")));
      putValue(SHORT_DESCRIPTION, "Clear Trace");
      putValue(LONG_DESCRIPTION, "Clear Trace");
      putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke('L',
          Toolkit.getDefaultToolkit().getMenuShortcutKeyMask()));
      putValue(MNEMONIC_KEY, new Integer('L'));
    }

    /**
     * This method check if the action is performed (event key pressed)
     * @param e is event
     */
    public void actionPerformed(ActionEvent e) {
      traceArea.setText("");
    }
  }

  //additional paths
  private class BrowseAction_AC
      extends AbstractAction {

    /**
     * This method stop the LoaderGenerator application
     */
    public BrowseAction_AC() {
      putValue(SMALL_ICON,
          new ImageIcon(getClass().getClassLoader().
          getResource("org/webdocwf/util/loader/" +
          "wizard/images/Open16.gif")));
      putValue(SHORT_DESCRIPTION, "Add .jar files");
      putValue(LONG_DESCRIPTION, "Add .jar (jdbc) files to system classpath");
      putValue(MNEMONIC_KEY, new Integer('B'));
    }

    /**
     * This method check if the action is performed (event key pressed)
     * @param e is event
     */
    public void actionPerformed(ActionEvent e) {
      JFileChooser chooser = null;
      File choice = null;
      File current = new File(System.getProperty("user.dir"));
      chooser = new JFileChooser(current);
      chooser.setFileSelectionMode(JFileChooser.FILES_AND_DIRECTORIES);
      chooser.setFileFilter((javax.swing.filechooser.FileFilter)new JarFilter());
      chooser.setDialogTitle("Select .jar file");
      chooser.setAcceptAllFileFilterUsed(false);
      String strFieldText = additionalPath.getText();
//
      if(!strFieldText.equalsIgnoreCase(""))
        strFieldText = strFieldText + ";";

      chooser.setCurrentDirectory(new File(strFieldText));
      chooser.setApproveButtonText("OK");
      int v = chooser.showOpenDialog(desktop);

      desktop.requestFocus();
      switch(v) {
        case JFileChooser.APPROVE_OPTION:
          if(chooser.getSelectedFile() != null) {
            if(chooser.getSelectedFile().exists()) {
              choice = chooser.getSelectedFile();
            } else {
              File parentFile = new File(chooser.getSelectedFile().getParent());
              choice = parentFile;
            }
            additionalPath.setText(strFieldText + choice.getPath());
          }
          break;

        case JFileChooser.CANCEL_OPTION:
        case JFileChooser.ERROR_OPTION:

          chooser.removeAll();
          chooser = null;
          current = null;

      }
    }
  }

  private class StartOctopusGenerator
      extends AbstractAction {

    /**
     * This method starts the LoaderGenerator application
     */
    public StartOctopusGenerator() {

      putValue(NAME, "Generator");
      putValue(SMALL_ICON,
          new ImageIcon(getClass().getClassLoader().getResource("org/webdocwf/util/loader/" +
          "wizard/images/Goto16.gif")));
      putValue(SHORT_DESCRIPTION, "Start the OctopusGenerator application");
      putValue(LONG_DESCRIPTION, "Start the OctopusGenerator application");
//        putValue(ACCELERATOR_KEY,KeyStroke.getKeyStroke('G',Toolkit.getDefaultToolkit().getMenuShortcutKeyMask()));
//        putValue(MNEMONIC_KEY, new Integer('G'));
    }

    /**
     * This method check if the action is performed (event key pressed)
     * @param e is event
     */
    public void actionPerformed(ActionEvent e) {
      OctopusGeneratorFrame octopusGenerator = new OctopusGeneratorFrame(desktop);
      setDefaultCloseOperation(DISPOSE_ON_CLOSE);
      String confJarStructure = "";
      try {
        octopusGenerator.setOctopusGeneratorInit(new OctopusGeneratorData(confJarStructure),
            confJarStructure);
      }
      catch(Exception ex) {
        String message = ex.getMessage();
        String message2 = "Check the OCTOPUS_HOME variable!";
        JOptionPane error = new JOptionPane();
        error.showMessageDialog(desktop, message + "\n" + message2, "Error", 0);
        error.setVisible(true);
        System.exit(0);
      }
      desktop.add(octopusGenerator);
      octopusGenerator.setVisible(true);
      //kill the instance of generator
      dispose();
    }
  }

  private class StopOctopusLoader
      extends AbstractAction {

    /**
     * This method stop the LoaderGenerator application
     */
    public StopOctopusLoader() {

      putValue(NAME, "Close");
      putValue(SMALL_ICON,
          new ImageIcon(getClass().getClassLoader().getResource("org/webdocwf/util/loader/" +
          "wizard/images/Stop16.gif")));
      putValue(SHORT_DESCRIPTION, "Stop the OctopusGenerator application");
      putValue(LONG_DESCRIPTION, "Stop the OctopusGenerator application");
      putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke('T',
          Toolkit.getDefaultToolkit().getMenuShortcutKeyMask()));
      putValue(MNEMONIC_KEY, new Integer('T'));
    }

    /**
     * This method check if the action is performed (event key pressed)
     * @param e is event
     */
    public void actionPerformed(ActionEvent e) {
      dispose();

    }
  }

  private class OctopusHelpAction
      extends AbstractAction {

    /**
     * Action which creates new help frame
     */
    public OctopusHelpAction() {
      putValue(NAME, "Help");
      putValue(SMALL_ICON,
          new ImageIcon(getClass().getClassLoader().getResource("org/webdocwf/util/loader/" +
          "wizard/images/Help16.gif")));
      putValue(SHORT_DESCRIPTION, "Help for running the program");
      putValue(LONG_DESCRIPTION, "Help for running the program");
      putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke('H',
          Toolkit.getDefaultToolkit().getMenuShortcutKeyMask()));
      putValue(MNEMONIC_KEY, new Integer('H'));
    }

    /**
     * Creating event for new windows help frame
     * @param e is creating events
     */
    public void actionPerformed(ActionEvent e) {
      try {
        OctopusGeneratorHelpFrame helpFrame = new OctopusGeneratorHelpFrame();
        helpFrame.setIconImage(new ImageIcon(getClass().getClassLoader().getResource(
            "org/webdocwf/util/loader/" +
            "wizard/images/Enhydra16.gif")).getImage());
        helpFrame.setVisible(true);
      }
      catch(Exception ex) {
        String message = ex.getMessage();
        String message2 = "Check the OCTOPUS_HOME variable!";
        JOptionPane error = new JOptionPane();
        error.showMessageDialog(desktop, message + "\n" + message2, "Error", 0);
        error.setVisible(true);
        System.exit(0);
      }
    }
  }

  private class StartOctopusLoader
      extends AbstractAction {

    /**
     * This method starts the LoaderGenerator application
     */
    public StartOctopusLoader() {

      putValue(NAME, "Start");
      putValue(SMALL_ICON,
          new ImageIcon(getClass().getClassLoader().getResource("org/webdocwf/util/loader/" +
          "wizard/images/Play16.gif")));
      putValue(SHORT_DESCRIPTION, "Start the OctopusLoader application");
      putValue(LONG_DESCRIPTION, "Start the OctopusLoader application");
      putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke('R',
          Toolkit.getDefaultToolkit().getMenuShortcutKeyMask()));
      putValue(MNEMONIC_KEY, new Integer('R'));
    }

    /**
     * This method check if the action is performed (event key pressed)
     * @param e is event
     */
    public void actionPerformed(ActionEvent e) {
      OctopusLoaderData initData = null;
      main.setDividerLocation(330);
      String errorMsg = null;
      try {
        initData = getOctopusLoaderInit();
      }
      catch(Exception ex) {
        errorMsg = ex.getMessage();
      }
      traceArea.setText("");
      OctopusLoaderThread runOctopus = new OctopusLoaderThread(desktop,
          initData,
          errorMsg, traceArea);
      runOctopus.start();
    }
  }

  //log dir
  private class BrowseAction_LD
      extends AbstractAction {

    /**
     * This method stop the LoaderGenerator application
     */
    public BrowseAction_LD() {
//      putValue(NAME, "browse");
      putValue(SMALL_ICON,
          new ImageIcon(getClass().getClassLoader().
          getResource("org/webdocwf/util/loader/" +
          "wizard/images/Open16.gif")));
      putValue(SHORT_DESCRIPTION, "Browse for Log file directory");
      putValue(LONG_DESCRIPTION, "Browse for Log file directory");
      putValue(MNEMONIC_KEY, new Integer('B'));
    }

    /**
     * This method check if the action is performed (event key pressed)
     * @param e is event
     */
    public void actionPerformed(ActionEvent e) {
      JFileChooser chooser = null;
      File choice = null;
      File current = new File(System.getProperty("user.dir"));
      chooser = new JFileChooser(current);
      chooser.setFileSelectionMode(JFileChooser.DIRECTORIES_ONLY);
      chooser.setFileFilter((javax.swing.filechooser.FileFilter)new DirectoryFilter());
      chooser.setDialogTitle("Select Log File Directory");
      chooser.setApproveButtonText("OK");
      String strFieldText = "";

      chooser.setCurrentDirectory(new File(strFieldText));
      int v = chooser.showOpenDialog(desktop);
      desktop.requestFocus();

      switch(v) {
        case JFileChooser.APPROVE_OPTION:
          if(chooser.getSelectedFile() != null) {
            if(chooser.getSelectedFile().exists()) {
              choice = chooser.getSelectedFile();
            } else {
              File parentFile = new File(chooser.getSelectedFile().getParent());
              choice = parentFile;
            }
            setField(LOG_FILE_DIRECTORY, choice.getPath(), "textfield");
          }
          break;

        case JFileChooser.CANCEL_OPTION:
        case JFileChooser.ERROR_OPTION:

      }
    }
  }

  private class BrowseAction_XML
      extends AbstractAction {

    /**
     * This method stop the LoaderGenerator application
     */
    public BrowseAction_XML() {
//      putValue(NAME, "browse");
      putValue(SMALL_ICON,
          new ImageIcon(getClass().getClassLoader().
          getResource("org/webdocwf/util/loader/" +
          "wizard/images/Open16.gif")));
      putValue(SHORT_DESCRIPTION, "Browse for .xml file");
      putValue(LONG_DESCRIPTION, "Browse for .xml file");
      putValue(MNEMONIC_KEY, new Integer('B'));
    }

    /**
     * This method check if the action is performed (event key pressed)
     * @param e is event
     */
    public void actionPerformed(ActionEvent e) {
      JFileChooser chooser = null;
      File choice = null;
      File current = new File(System.getProperty("user.dir"));
      chooser = new JFileChooser(current);
      chooser.setFileSelectionMode(JFileChooser.FILES_AND_DIRECTORIES);
      chooser.setFileFilter((javax.swing.filechooser.FileFilter)new XmlFilter());
      chooser.setDialogTitle("Select .xml file");
      chooser.setAcceptAllFileFilterUsed(false);
      String strFieldText = "";

      chooser.setCurrentDirectory(new File(strFieldText));
      chooser.setApproveButtonText("OK");
      int v = chooser.showOpenDialog(desktop);

      desktop.requestFocus();
      switch(v) {
        case JFileChooser.APPROVE_OPTION:
          if(chooser.getSelectedFile() != null) {
            if(chooser.getSelectedFile().exists()) {
              choice = chooser.getSelectedFile();
            } else {
              File parentFile = new File(chooser.getSelectedFile().getParent());
              choice = parentFile;
            }
            setField(VENDOR_CONF_FILE, choice.getPath(), "textfield");
          }
          break;

        case JFileChooser.CANCEL_OPTION:
        case JFileChooser.ERROR_OPTION:

          chooser.removeAll();
          chooser = null;
          current = null;
      }
    }
  }

  private class BrowseAction_OLJ
      extends AbstractAction {

    /**
     * This method stop the LoaderGenerator application
     */
    public BrowseAction_OLJ() {
//      putValue(NAME, "browse");
      putValue(SMALL_ICON,
          new ImageIcon(getClass().getClassLoader().
          getResource("org/webdocwf/util/loader/" +
          "wizard/images/Open16.gif")));
      putValue(SHORT_DESCRIPTION, "Browse for LoaderJob.olj file");
      putValue(LONG_DESCRIPTION, "Browse for LoaderJob.olj file");
      putValue(MNEMONIC_KEY, new Integer('B'));
    }

    /**
     * This method check if the action is performed (event key pressed)
     * @param e is event
     */
    public void actionPerformed(ActionEvent e) {
      JFileChooser chooser = null;
      File choice = null;
      File current = new File(System.getProperty("user.dir"));
      chooser = new JFileChooser(current);
      chooser.setFileSelectionMode(JFileChooser.FILES_AND_DIRECTORIES);
      chooser.setFileFilter((javax.swing.filechooser.FileFilter)new OljFilter());
      chooser.setDialogTitle("Select .olj file");
      chooser.setAcceptAllFileFilterUsed(false);
      String strFieldText = "";

      chooser.setCurrentDirectory(new File(strFieldText));
      chooser.setApproveButtonText("OK");
      int v = chooser.showOpenDialog(desktop);

      desktop.requestFocus();
      switch(v) {
        case JFileChooser.APPROVE_OPTION:
          if(chooser.getSelectedFile() != null) {
            if(chooser.getSelectedFile().exists()) {
              choice = chooser.getSelectedFile();
            } else {
              File parentFile = new File(chooser.getSelectedFile().getParent());
              choice = parentFile;
            }
            setField(PATH_TO_XML_FILE, choice.getPath(), "textfield");
          }
          break;

        case JFileChooser.CANCEL_OPTION:
        case JFileChooser.ERROR_OPTION:

          chooser.removeAll();
          chooser = null;
          current = null;

      }
    }
  }

}